#
# Conditional build:
%bcond_without	disassembler	# jit disassembler using binutils

Summary:	A library for dynamic code generation
Summary(pl.UTF-8):	Biblioteka do dynamicznego generowania kodu
Name:		lightning
Version:	2.2.3
Release:	3
License:	LGPL v3+
Group:		Libraries
Source0:	https://ftp.gnu.org/gnu/lightning/%{name}-%{version}.tar.gz
# Source0-md5:	46889d97921419d7bb79467340f9c8db
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/lightning/
%{?with_disassembler:BuildRequires:	binutils-devel}
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU lightning is a library to aid in making portable programs that
compile assembly code at run time.

%description -l pl.UTF-8
GNU lightning to biblioteka mająca pomagać w tworzeniu przenośnych
programów kompilujących kod w asemblerze w czasie wykonywania.

%package devel
Summary:	Header files for GNU lightning library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNU lightning
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GNU lightning library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNU lightning.

%package static
Summary:	Static GNU lightning library
Summary(pl.UTF-8):	Statyczna biblioteka GNU lightning
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNU lightning library.

%description static -l pl.UTF-8
Statyczna biblioteka GNU lightning.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{__enable_disable disassembler} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/liblightning.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblightning.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblightning.so
%{_libdir}/liblightning.la
%{_includedir}/lightning
%{_includedir}/lightning.h
%{_infodir}/lightning.info*
%{_pkgconfigdir}/lightning.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblightning.a
%changelog
* Mon Aug 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lightning.git;a=log;h=master

* Mon Aug 19 2024 Jan Palus <atler@pld-linux.org> c535148
- binutils 2.43.1 rebuild

* Mon Aug 12 2024 Jan Palus <atler@pld-linux.org> b4ee617
- binutils 2.43 rebuild

* Tue Feb 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 82d788b
- updated to 2.2.3

* Sat Feb 03 2024 Jan Palus <atler@pld-linux.org> 0645a1a
- binutils 2.42 rebuild

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> 6932afb
- binutils 2.41 rebuild

* Wed Jun 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 1896707
- updated to 2.2.2

* Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> b575f29
- binutils rebuild

* Tue Dec 27 2022 Jan Palus <atler@pld-linux.org> a20f591
- toggle disassembler bcond; rel 2

* Sun Dec 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 61a982b
- updated to 2.2.0 (new soname)

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> ad24de5
- Release 11 (by relup.sh)

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> a8c4794
- serialize install

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> d13f964
- Release 10 (by relup.sh)

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> 4cadf62
- binutils rebuild

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> 8055844
- disable disassembler until upstream adjusts to new binutils

* Mon Feb 14 2022 Jan Rękorajski <baggins@pld-linux.org> b1944f8
- Release 8 (by relup.sh)

* Wed Jul 21 2021 Jan Palus <atler@pld-linux.org> 979cefc
- binutils rebuild

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 7bd3fc9
- binutils rebuild
- release 6 (by relup.sh)

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 7d0c112
- release 5 (by relup.sh)

* Sat Jul 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 1bbc6bd
- release 4 (libbfd and libopcodes soname change)

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 789a71b
- release 3 (by relup.sh)

